Subject: Comments on netconf-monitoring-01

From: Li Yan <[email-masked]>
Date: Fri, 29 Feb 2008 19:04:25 +0800

Hi,
I have found some mistakes in this revision of the draft.

o Sec 2
   - Page 4, "sessions" item: sessions (ComplexType:  ManagementSessionInfo)
     The "ManagementSessionInfo" should be "NetconfSessionInfo".  There is a
same typo error in the XSD defined in Sec 4.
   - Page 5," sessions" item: ManagementSessionInfo complex data type
     The "ManagementSessionInfo" should be "NetconfSessionInfo".
   - I do not like the layout of this section, because all items are placed
in the same level. I suggest that each subtree of netconfState is put into a
separate section, like following:
     2.  XML Schema to Monitor Netconf
     2.1 Capabilites
     2.2 Sessions
     2.3 Configurations
     2.4 Subscriptions
     2.5 Schema
o Sec 3
   - Paragraph 1, there is a sentence :  
     In addition when a schema is
     available on the device and the <get-schema> capability is supported
     a special location value of 'netconf' will be used to indicate its
     availability on the device.  See <get-schema> for details.
     There is no description about get-schema capability in this draft.
   -  Example 1
       <filter type="subtree">
         <schemaList xmlns="urn:ietf:params:xml:ns:netconf:schema"/>
       </filter>
       The namespace should be "urn:ietf:params:xml:ns:netconf:state:1.0"
       Where does the <schemaList> element come from? Neither section 2 nor
section 4 have mentioned the element.
   -  Example 2
      I do not understand this example. Why is the <list-schema> called a
operation? I think the <list-schema> in the RPC request should be replaced
by <schema>.
o Sec 4
   - <xs:import namespace="urn:ietf:params:xml:ns:netconf:base:1.0"
       schemaLocation="urn:ietf:params:xml:ns:netconf:base:1.0"/>
    <xs:import
      namespace="urn:ietf:params:xml:ns:netconf:notification:1.0"
      schemaLocation="urn:ietf:params:xml:ns:netconf:notification:1.0"/>
      The two schemaLocation are wrong, and the import of notification
namespace is not needed.
   - <xs:complexType name="ManagementSessionInfo">
      The "ManagementSessionInfo" should be "NetconfSessionInfo", because
the datatype of the <sessions>  element is "NetconfSessionInfo".
   - <xs:element name="protocol" type=xs:string"/>
      The quotation mark in the type attribute is missing.
   - <xs:element name="sourceIdentifier" type="inet:ip-address"/>
      The "inet" prefix is not defined.
   - <xs:element name="associatedNamedProfile" minOccurs="0">
      There is no type attribute in the element definition.
   - There is no element definition for schema advertisement in the XSD.

Yan

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>